Package Details: lxi-tools-git r333.b1f257a-1

Git Clone URL: https://aur.archlinux.org/lxi-tools-git.git (read-only, click to copy)
Package Base: lxi-tools-git
Description: LXI Tools is a collection of software tools for controlling LXI instruments
Upstream URL: https://github.com/lxi/liblxi
Licenses: BSD-3
Conflicts: lxi-tools
Provides: lxi-tools
Submitter: nickoe
Maintainer: nickoe
Last Packager: nickoe
Votes: 4
Popularity: 0.009318
First Submitted: 2016-03-29 22:09
Last Updated: 2021-01-24 19:27

Dependencies (2)

Required by (1)

Sources (1)

Latest Comments

nickoe commented on 2021-01-24 19:27

@EdeWolf, ok, I added lua as a dependency

EdeWolf commented on 2021-01-24 19:17

Does not build, lua dependency is missing. Installing lua makes the build finish.

checking pkg-config is at least version 0.9.0... yes checking for readline in -lreadline... yes checking for lxi_connect in -llxi... yes checking for lua... no checking for lua... no checking for lua... no checking for lua... no configure: error: lua not found ==> ERROR: A failure occurred in build().

nickoe commented on 2020-06-11 06:25

@flipmess, this is because of https://github.com/lxi-tools/lxi-tools/issues/21

If you can fix it upstream it is easier for us to enable, although we could add that patch to the package. If you are able to dig in to it and propose better upstream patch that would be nice.

flipmess commented on 2020-06-10 21:18

hi, seems like lxi-gui is not being built...